
"""test script for obtaining valid country codes.
"""
from toargridding.metadata_utilities import countryCodes
import requests

test = countryCodes()
validCodes = test.getValidVocabular(controlName="Country Code", varName="country")
print(validCodes)
print(len(validCodes))

print("stations per country code")
for country in validCodes:
    getNumber = requests.get(test.stationMetaEndpoint, params={"country" : country, "limit" : "None"}  )
    getNumber.raise_for_status()
    print(f"\t{country}: {len(getNumber.json())}")